cogctl(1)

NAME
cogctl - tool to control a running Cog instance

SYNOPSIS
cogctl [options] <command> [command options]

DESCRIPTION
cogctl is a tool to control a running Cog instance.

OPTIONS

-h, --help
    Show help options

-A, --appid=ID
    Application identifier of the Cog instance to control

-o, --object-path=PATH
    Object path implementing the org.gtk.Actions interface

-y, --system
    Use the system bus instead of the session bus

COMMANDS

help [command]
    Show a list of commands. If followed by a command name then it shows additional information about that command.

appid
    Display application ID being remotely controlled

objpath
    Display the D-Bus object path being used

open <URL>
    Open a URL

previous
    Navigate backward in the page view history

next
    Navigate forward in the page view history

ping
    Check whether Cog is running

quit
    Exit the application

reload
    Reload the current page

SEE ALSO
cog(1)

AUTHOR
This manual page was written by Alberto Garcia <berto@igalia.com>